# <span style="color: #d22;font-style:italic;">bpost</span> Shipping manager
---


* [Overview](#Overview)
* [What this module does for you](#What-this-module-does-for-you)
* [Features](#Features)
* [Installation](#Installation)
* [What's new](#What’s-New)



---
### Overview

<span style="color:#B22222">**Three delivery methods in
Belgium**</span>  
   
With Shipping Manager, you integrate our three delivery methods directly
into your online shop, so your customers are able to choose the one they
prefer.
-   **To a private address**: such as home, office or a family member.
-   **To one of our 1250 pick-up points**: post offices or post points
    like supermarkets (Delhaize, Spar), bookshops (Press Shop, Relay),
    service stations (Total, Q8) and neighbourhood stores.
-   **To one of our 150 parcel lockers**: ideally situated in high
    footfall locations, stations and shopping centres.

  
<span style="color:#A52A2A">**Simplifying your logistics**</span>  
   
With the Shipping Manager, your customers select their delivery method
when they place their order online. You just need to take care of the
practical aspects.
-   **Follow-up and preparation** of your parcels
-   Creation of **shipping and return labels**, both domestic and
    international
-   **Management** of parcels shipments
-   **Tracking**  of your parcels

   
This add-on is available for free to all customers who have a signed
parcels contract with bpost.  
  
 
---
### What this module does for you

Shipping Manager is an application that helps you manage your parcel
shipments and create your **shipping and return labels, both domestic
and international.**  
  
• Easy to integrate, **plug and play**.  
  
• **Simple integration** in your online shop: during the order process
your customers will not even notice they have been transferred to
Shipping Manager  
  
• Immediate access to the three **bpost delivery methods**:  
  
o Home delivery  
o Delivery to a pick-up point  
o Delivery to a parcel locker  
  
• **Management of your parcel deliveries** through the Administration
module (label printing, parcel tracking, parcel preparation
follow-up).  
  
• Thanks to its **adaptive design**, the graphical user interface
automatically changes to suit the customer’s viewing device (smartphone,
tablet, PC).  
  
• **Configuration of prices** based on delivery method, immediately
visible in the online shop  
  
• **Access to the most popular options** for your shipments (signature,
basic insurance, automatic second presentation)  
  
• Printing directly from the backend of Prestashop  
  
• Track and trace your parcels online from the backend&lt;/


---
### Features

-   The bpost Prestashop module is compatible with versions 1.4.x 1.5.x.
    et 1.6.x
-   Plug and play: Activate it in your Prestashop Module menu. (1.5
    and 1.6)


---
### What your customers will like

-   Access to all bpost delivery methods (to an address, to one of the
    1250 pick-up points, to one of the 150 parcel lockers)
-   Adaptive design to improve the consumer’s buying experience
-   The assurance of delivery by a trusted person, the bpost post woman
    or man


---
### Installation

Follow the instructions in our [<span style="color:#000080">online
documentation</span>] or contact bpost for technical support at
shippingmanager@bpost.be. 
 

  [<span style="color:#000080">online documentation</span>]: http://bpost.freshdesk.com/support/solutions/articles/128584
  

---
### What’s New

Version: **1.65**.2
<span style="margin-left:60px;color:#aaa;font-size:.9em;">03-08-2022</span>

-	New browser aware improvements when printing labels on SSL certified sites.
-	Presenting **Eco** friendly delivery methods in order of their **CO2** footprint.
-	Optional address line to fine tune points of service, when searching Google maps.
-	Other behavioural and cosmetic changes to Front Office Google Maps.
-	Comprehensive update to *contextual* bpost tracking URL.
-	Changes to list of categories submitted via *CN23* customs declaration.
-	Other minor fixes throughout.

Version: **1.65**.0
<span style="margin-left:60px;color:#aaa;font-size:.9em;">07-25-2021</span>

-	Built-in support for **optional** shipping outside Europe *EU*. 
-	Additional mandatory *CN23* settings fields, when shipping outside EU.
-	Important overhaul of **bpost** admin tab label management system & supported actions.
-	Additional **minor** settings updates. 

Version: **1.64**.4
<span style="margin-left:60px;color:#aaa;font-size:.9em;">03-08-2021</span>

-	BackOffice Admin Order details tracking URL updated.

Version: **1.64**.3
<span style="margin-left:60px;color:#aaa;font-size:.9em;">12-23-2020</span>

-	Support for bpost *(Dec 2020)* tracking changes.

Version: **1.64**.2
<span style="margin-left:60px;color:#aaa;font-size:.9em;">11-23-2020</span>

-	Additional support for bpost tracking changes.
-	Fixed FrontOffice Order History accessing PostPoints, no longer in service. 

Version: **1.64**.1
<span style="margin-left:60px;color:#aaa;font-size:.9em;">10-06-2020</span>

-	Added support for upcoming bpost *World Business* additions

Version: **1.64**.0
<span style="margin-left:60px;color:#aaa;font-size:.9em;">06-16-2020</span>

-	Updates, in line with bpost's new tracking changes and language support. 
-	Additional support for more **exotic** FrontOffice themes *(1.7+)*
-	Speed improvements to the **Checkout** section, as well as several minor fixes.
-	Carrier checkout summary now reflects, the selected bpost carrier options. 

Version: **1.63**.1
<span style="margin-left:60px;color:#aaa;font-size:.9em;">09-23-2019</span>

-	Fix a minor *tracking* issue
-	Added support for 1.7+ themes that alter default load behaviour

Version: **1.63**.0
<span style="margin-left:60px;color:#aaa;font-size:.9em;">08-26-2019</span>

-	Ability to choose which order statuses to display in the BackOffice
-	Ability to choose the number of days, an order is active in the BackOffice
-	Smart automatic support for FrontOffice themes, that do not deviate too much from Prestashop's default structure *(1.7+)*
-	Customer can now track their order from their order history
-	Additional tools to help **the support team** identify common issues in the BackOffice

Version: **1.62**.1
<span style="margin-left:60px;color:#aaa;font-size:.9em;">05-12-2018</span>

-	Fix issue in *Post-point* names that prevent printing labels 

Version: **1.62**.0
<span style="margin-left:60px;color:#aaa;font-size:.9em;">20-09-2018</span>

-  *Kariboo PostPoints* can now be optionally selected in Belgium
- 	Required support for recent changes to Google Maps API

Version: **1.61**.5
<span style="margin-left:60px;color:#aaa;font-size:.9em;">15-05-2018</span>

-	Further support for 1.7+
- 	Tighter compatibility for SHM enabled countries

Version: **1.61**.0
<span style="margin-left:60px;color:#aaa;font-size:.9em;">19-02-2018</span>

-	International PUGO Returns (Re-)enabled
- 	Delivery methods coupled to SHM enabled countries

Version: **1.60**.0
<span style="margin-left:60px;color:#aaa;font-size:.9em;">29-08-2017</span>

-   International pickup-point delivery added
-   Requires SHM + module carriers reconfiguration


Version: **1.50**.0
<span style="margin-left:60px;color:#aaa;font-size:.9em;">30-05-2017</span>

-   PrestaShop 1.7 support added
-   Delivery method 24h business added


Version: **1.40**.2
<span style="margin-left:60px;color:#aaa;font-size:.9em;">30-12-2016</span>

-   Fix wrong NL email variables {firstname} {lastname}


Version: **1.40**.1
<span style="margin-left:60px;color:#aaa;font-size:.9em;">14-11-2016</span>

-   Fix a calculation issue caused by a validation rule


Version: **1.40**.0
<span style="margin-left:60px;color:#aaa;font-size:.9em;">23-09-2016</span>

-   Custom store details ( per shop / store )
-   Ability to choose existing PrestaShop order states as "final" ( per shop )
-   Automatic creation of extra labels to support heavy orders ( > 30kg )


Version: **1.30**.4
<span style="margin-left:60px;color:#aaa;font-size:.9em;">04-08-2016</span>

-   Final version to support PrestaShop 1.4
-   Added possibility to customize JS selector in checkout
