/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */

$(document).ready(() => {
  const lang = $('html').attr('lang');
  // eslint-disable-next-line no-undef
  const config = bpostshm;

  if (lang && lang.length >= 2) {
    const langs = {en: 0, fr: 1, nl: 2};
    let code = lang.substring(0, 2).toLowerCase();

    if (langs[code] === undefined) {
      code = 'en';
    }

    $(config.selectors.carrierName).each(function () {
      const names = $(this).html().split('/');

      if (names.length === 3) {
        $(this).html(names[langs[code]].trim());
      }
    });
  }
});
