<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * Class BpostShmCronModuleFrontController
 */
class BpostShmCronModuleFrontController extends ModuleFrontController
{
    /**
     * Displays the maintenance page.
     *
     * Does not display the maintenance page for cron.
     *
     * @return void
     */
    protected function displayMaintenancePage()
    {
        // no maintenance page for cron!
    }

    /**
     * Handles the post-processing of a request.
     *
     * This method checks if the secure key provided in the request matches the secure key stored in the configuration.
     * If the secure keys match, it triggers the "hookActionCronJob" method of the module.
     *
     * @return void
     */
    public function postProcess()
    {
        $secure_key = Configuration::getGlobalValue('BPOSTSHM_CRON_SECURE_KEY');
        if (!empty($secure_key) && $secure_key === Tools::getValue('secure_key')) {
            $this->module->hookActionCronJob();
        }
        exit;
    }
}
