<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 */

namespace PrestaShop\Module\BpostShm\Api\Bpack247;

class CustomerPackStation
{
    /**
     * @var string
     */
    private $customLabel;

    /**
     * @var string
     */
    private $orderNumber;

    /**
     * @var string
     */
    private $packstationId;

    /**
     * @param string $customLabel
     */
    public function setCustomLabel($customLabel)
    {
        $this->customLabel = $customLabel;
    }

    /**
     * @return string
     */
    public function getCustomLabel()
    {
        return $this->customLabel;
    }

    /**
     * @param string $orderNumber
     */
    public function setOrderNumber($orderNumber)
    {
        $this->orderNumber = $orderNumber;
    }

    /**
     * @return string
     */
    public function getOrderNumber()
    {
        return $this->orderNumber;
    }

    /**
     * @param string $packstationId
     */
    public function setPackstationId($packstationId)
    {
        $this->packstationId = $packstationId;
    }

    /**
     * @return string
     */
    public function getPackstationId()
    {
        return $this->packstationId;
    }

    /**
     * @param \SimpleXMLElement $xml
     *
     * @return CustomerPackStation
     */
    public static function createFromXML(\SimpleXMLElement $xml)
    {
        $packStation = new CustomerPackStation();

        if (isset($xml->OrderNumber) && $xml->OrderNumber != '') {
            $packStation->setOrderNumber((string) $xml->OrderNumber);
        }
        if (isset($xml->CustomLabel) && $xml->CustomLabel != '') {
            $packStation->setCustomLabel((string) $xml->CustomLabel);
        }
        if (isset($xml->PackstationID) && $xml->PackstationID != '') {
            $packStation->setPackstationId((string) $xml->PackstationID);
        }

        return $packStation;
    }
}
