<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */

use PrestaShop\Module\BpostShm\Utils\FileUpgrader;

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * @param $module
 *
 * @return bool
 */
function upgrade_module_1_30_4($module)
{
    $ret = true;

    // 1.30.1 (label security)
    $cache_dir = defined('_PS_CACHE_DIR_') ? _PS_CACHE_DIR_ : _PS_ROOT_DIR_ . '/cache/';
    if (Tools::file_exists_cache($cache_dir . 'bpost_labels.pdf')) {
        $ret &= unlink($cache_dir . 'bpost_labels.pdf');
    }

    // 1.30.2
    // 1.30.3
    // 1.30.4
    $ret &= FileUpgrader::removeAll([
        '/upgrade/install-1.30.1.php',
        '/upgrade/install-1.30.2.php',
        '/upgrade/install-1.30.3.php',
    ]);

    return (bool) $ret;
}
