{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}

<div><strong>{l s='Please note that the receiver\'s phonenumber is mandatory to create international pick up point label.' d='Modules.Bpostshm.Admin'}</strong></div>
<div><p><strong>{l s='Please make sure this field is mandatory on the checkout.' d='Modules.Bpostshm.Admin'}</strong> {l s='(by default it\'s optional as from PrestaShop 1.7)' d='Modules.Bpostshm.Admin'}</p></div>
<div><strong>{l s='To get the module working correctly, you need to configure all the countries which you intend to ship to with bpost.' d='Modules.Bpostshm.Admin'}</strong></div>
<div>
  <ol>
    <li>
      <h4>{l s='Shipping Manager configuration' d='Modules.Bpostshm.Admin'}</h4>
      {l s='To print labels, the selected countries have to be activated in the Shipping Manager.' d='Modules.Bpostshm.Admin'}<br/>
      {l s='Countries in the Shipping Manager are activated by configuring a price zone.' d='Modules.Bpostshm.Admin'}<br/>
        {capture name='moreinfo'}{l s='You will find more information about the configuration of the Shipping Manager on [1]HERE[/1].' sprintf=['[1]' => '<a href="'|cat:$linkIntlDelivery|cat:'" target="_blank">', '[/1]' => '</a>'] d='Modules.Bpostshm.Admin'}{/capture}
      {$smarty.capture.moreinfo|unescape:'html'}<br/>
      {l s='Note that the costs filled in the price zone of the Shipping Manager are only necessary for the activation and that they won\'t be used in your webshop (only PrestaShop shipping costs will be used).' d='Modules.Bpostshm.Admin'}<br/>
    </li>
    <li>
      <h4>{l s='PrestaShop configuration' d='Modules.Bpostshm.Admin'}</h4>
      {l s='During the installation of the module, a "Belgium" zone has been created if it didn\'t already exist together with 3 bpost carriers:' d='Modules.Bpostshm.Admin'}
      <ul>
        <li>{l s='1 carrier for home deliveries - national and international.' d='Modules.Bpostshm.Admin'}</li>
        <li>{l s='1 carrier for pickup deliveries - national and international.' d='Modules.Bpostshm.Admin'}</li>
        <li>{l s='1 carrier for parcel locker deliveries - only national.' d='Modules.Bpostshm.Admin'}</li>
      </ul>
      {l s='If you wish to use the module for countries other than Belgium, you need to:' d='Modules.Bpostshm.Admin'}<br/>
      <ul>
        <li>{l s='Activate the selected countries (if not already done).' d='Modules.Bpostshm.Admin'}</li>
        <li>{l s='Create a zone for each country or group of countries with a specific cost.' d='Modules.Bpostshm.Admin'}</li>
        <li>{l s='Modify the selected countries and link them to the newly created zones (by default, all European countries are in a zone Europe).' d='Modules.Bpostshm.Admin'}</li>
      </ul>
      <p>{l s='That done, you\'ll be able to define the shipping cost for each zone in the 3 bpost carriers configuration (the price the receiver will pay for his delivery).' d='Modules.Bpostshm.Admin'}</p>
    </li>
    <li>
      <h4>{l s='Validation of the Shipping Manager configuration' d='Modules.Bpostshm.Admin'}</h4>
      <div>{l s='Here is the list of countries currently available in your Shipping Manager configuration:' d='Modules.Bpostshm.Admin'}</div>
      {if !$hasCredentials}
          <div class="alert alert-warning">{l s='Please enter your credentials.' d='Modules.Bpostshm.Admin'}</div>
      {else}
        <div class="countries">
          <div class="row">
            <div class="col-xs-12 col-sm-6">
              <strong>{l s='bpost@home (Belgium and International)' d='Modules.Bpostshm.Admin'}</strong>
              <select multiple>
                {foreach $intlList as $iso => $country}
                  <option value="{$iso}">{$country}</option>
                    {foreachelse}
                  <option></option>
                {/foreach}
              </select>
            </div>
            <div class="col-xs-12 col-sm-6">
              <strong>{l s='bpack@bpost International' d='Modules.Bpostshm.Admin'}</strong>
              <select multiple>
                {foreach $ppiList as $iso => $country}
                  <option value="{$iso}">{$country}</option>
                {foreachelse}
                  <option></option>
                {/foreach}
              </select>
            </div>
          </div>
        </div>
      {/if}
    </li>
  </ol>
</div>
<div>
  <h4>{l s='A CN23 Customs Declaration is needed for all shipments outside Europe (EU).' d='Modules.Bpostshm.Admin'}</h4>

  {l s='Among the mandatory information are two product features that need to be filled:' d='Modules.Bpostshm.Admin'}
  <ul>
    <li>{l s='The HS tariff code, a 9 digits code describing the goods.' d='Modules.Bpostshm.Admin'}</li>
    <li>{l s='The country of origin of the goods.' d='Modules.Bpostshm.Admin'}</li>
  </ul>

  {l s='You have two options:' d='Modules.Bpostshm.Admin'}
  <ul>
    <li>{l s='Use default values (if all the goods sold share similar features).' d='Modules.Bpostshm.Admin'}</li>
    <li>{l s='Fill in these values in your product catalog with PrestaShop features.' d='Modules.Bpostshm.Admin'}</li>
  </ul>
  {capture name='moreinfo'}{l s='To get more information on the PrestaShop features, click on this [1]link[/1].' sprintf=['[1]' => '<a href="'|cat:$linkFeatures|cat:'" target="_blank">', '[/1]' => '</a>'] d='Modules.Bpostshm.Admin'}{/capture}
  {$smarty.capture.moreinfo|unescape:'html'}
</div>
