{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}

<div class="bpostshm-customer-contact bpostshm-form col-xs-12">
  <fieldset class="form-fields">
    <div class="form-group row">
      <div class="col-xs-10 col-10">
        <div class="row">
          <label class="col-md-5 form-control-label" for="bpostshm-email">{l s='Email' d='Modules.Bpostshm.Shop'}</label>
          <div class="col-md-7 js-input-column">
            <input class="form-control" type="text" id="bpostshm-email" name="bpostshm-email" value="{$customerContact.email}" maxlength="255" />
          </div>
        </div>
      </div>
      <div class="col-xs-2 col-2 form-control-comment"></div>
    </div>
    <div class="form-group row">
      <div class="col-xs-10 col-10">
        <div class="row">
          <label class="col-xs-12 col-md-5 form-control-label" for="bpostshm-mobile">{l s='Mobile phone' d='Modules.Bpostshm.Shop'}</label>
          <div class="col-xs-12 col-md-7 js-input-column">
            <input class="form-control" type="text" id="bpostshm-mobile" name="bpostshm-mobile" value="{$customerContact.mobile}" maxlength="255" />
          </div>
        </div>
      </div>
      <div class="col-xs-2 col-2 form-control-comment">
        <span class="bpostshm-tooltip" data-toggle="tooltip" data-placement="left" title="{l s='You can also receive your unique delivery code by SMS and be informed when your order has been delivered.' d='Modules.Bpostshm.Shop'}">
          <i class="material-icons">info</i>
        </span>
      </div>
    </div>
    <div class="form-group row">
      <div class="col-xs-10 col-10">
        <div class="row">
          <label class="col-xs-12 col-md-5 form-control-label" for="bpostshm-rmz">{l s='Reduced mobility zone' d='Modules.Bpostshm.Shop'}</label>
          <div class="col-xs-1 col-md-7 js-input-column">
            <label class="form-control-label" for="bpostshm-rmz">
              <input type="checkbox" id="bpostshm-rmz" name="bpostshm-rmz" value="1"{if $customerContact.reduced_mobility_zone} checked{/if}/>
            </label>
          </div>
        </div>
      </div>
      <div class="col-xs-2 col-2 form-control-comment">
        <span class="bpostshm-tooltip" data-toggle="tooltip" data-placement="left" data-attachment="" title="{l s='This zone allows people with reduced mobility to access the most convenient lockers of the parcels locker.' d='Modules.Bpostshm.Shop'}">
          <i class="material-icons">info</i>
        </span>
      </div>
    </div>
  </fieldset>
</div>
