{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}

<div class="tab-pane d-print-block fade" id="orderBpostLabelsTabContent" role="tabpanel" aria-labelledby="orderBpostLabelsTab">
  <div class="card card-details">
    <div class="card-header d-none d-print-block">
      {* This never gets displayed anyways *}
    </div>
    <div class="card-body">
      <div class="form-group row">
        {if !$label}
          <div class="col-sm">
            <a href="{$urlGenerateLabel}" id="generate-label" >
              <button class="btn btn-default" style="float: left; display: block;" id="generateLabelButton">
                <i class="material-icons">print</i>
                {l s='Print bpost label' d='Modules.Bpostshm.Shop'}
                {if $autoRetour}{l s='+1R' d='Modules.Bpostshm.Shop'}{/if}
              </button>
            </a>
          </div>
        {else}
          <div class="ml-2">
            <a href="{$urlDownloadLabel}" id="generate-label" >
              <button class="btn btn-default" id="showLabel">
                <i class="material-icons">cloud_download</i>
                {l s='Download bpost label' d='Modules.Bpostshm.Shop'}
                {if $label.retour == 'WITH'}{l s='+1R' d='Modules.Bpostshm.Shop'}{/if}
              </button>
            </a>
            {if $labelsFollowUp|count}
              <div>
                {l s='Follow up:' d='Modules.Bpostshm.Shop'}
                {foreach from=$labelsFollowUp item=$labelFollowUp name=labelsFollowUp}
                  {if $labelFollowUp.url}<a href="{$labelFollowUp.url}">{/if}{$labelFollowUp.number}{if $labelFollowUp.url}</a>{/if}{if !$smarty.foreach.labelsFollowUp.last},{/if}
                {/foreach}
              </div>
            {/if}
            {if $label.retour == 'WITH' && $labelsRetourFollowUp|count}
              <div>
                {l s='Return follow up:' d='Modules.Bpostshm.Shop'}
                {foreach from=$labelsRetourFollowUp item=$labelRetourFollowUp name=labelsRetourFollowUp}
                  {if $labelRetourFollowUp.url}<a href="{$labelRetourFollowUp.url}">{/if}{$labelRetourFollowUp.number}{if $labelRetourFollowUp.url}</a>{/if}{if !$smarty.foreach.labelsRetourFollowUp.last},{/if}
                {/foreach}
              </div>
            {/if}
          </div>
        {/if}
      </div>
      {if (!$labelRetour && ($label && $label.retour != 'WITH')) || $labelRetour}
        <div class="form-group row mt-2">
          {if !$labelRetour && $label.retour != 'WITH'}
            <div class="col-sm">
              <a href="{$urlGenerateRetourLabel}" id="generate-label-retour">
                <button class="btn btn-default">
                  <i class="material-icons">rotate_left</i>
                  {l s='Print Retour Label' d='Modules.Bpostshm.Shop'}
                </button>
              </a>
            </div>
          {elseif $labelRetour}
            <div class="m-2">
              <a href="{$urlDownloadLabelRetour}">
                <button class="btn btn-default">
                  <i class="material-icons">cloud_download</i>
                    {l s='Download Retour Label' d='Modules.Bpostshm.Shop'}
                </button>
              </a>
              <div>
                {l s='Return follow up:' d='Modules.Bpostshm.Shop'}
                {foreach from=$labelsRetourFollowUp item=$labelRetourFollowUp name=labelsRetourFollowUp}
                  {if $labelRetourFollowUp.url}<a href="{$labelRetourFollowUp.url}">{/if}{$labelRetourFollowUp.number}{if $labelRetourFollowUp.url}</a>{/if}{if !$smarty.foreach.labelsRetourFollowUp.last},{/if}
                {/foreach}
              </div>
            </div>
          {/if}
        </div>
      {/if}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
