{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}

<div class="col-xs-12" {if $selectedPickupPoint} style="display:none;"{/if}>
  <a class="bpostshm-choose-pickup bpostshm-change-pickup bpostshm-edit-pickup btn btn-primary">
    {if $carrierMethod == 'PARCEL_LOCKER'}
      {l s='Choose a parcel locker' d='Modules.Bpostshm.Shop'}
    {else}
      {l s='Choose a pick-up point' d='Modules.Bpostshm.Shop'}
    {/if}
  </a>
</div>

<div class="bpostshm-widget modal fade" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">

        <h5 class="modal-title">
            {l s='Select a pick-up point for delivery (%s)' sprintf=[$country->name] d='Modules.Bpostshm.Shop'}
        </h5>
        <button type="button" class="close" data-bs-dismiss="modal" data-dismiss="modal" aria-label="{l s='Close' d='Modules.Bpostshm.Shop'}">
          <span aria-hidden="true">×</span>
        </button>
      </div>

      <div class="modal-body row">

        {include file="module:bpostshm/views/templates/hook/_partials/search-form.tpl"}

        {include file="module:bpostshm/views/templates/hook/_partials/loader.tpl"}

        <div class="bpostshm-content col-12 hideOnLoading">
          <div class="row">
          {if $showMap}
            <div class="col-xs-12 col-sm-4 mb-1">
              <div class="bpostshm-pickup-list"></div>
            </div>
            <div class="col-xs-12 col-sm-8">
              <div id="bpostshm-map{$carrier->id}" class="col-xs-12 bpostshm-map"></div>
            </div>
          {else}
            <div class="col-xs-12{if !$showMap} no-map{/if}">
              <div class="bpostshm-pickup-list"></div>
            </div>
          {/if}
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
