{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}

<div class="bpostshm-carrier bpostshm-pickup-carrier design-{$design} row"
     data-carrier-id="{$carrier->id|intval}"
     data-carrier-type="{$carrierType|intval}"
     data-selected-pickup="{if $selectedPickupPoint}{$selectedPickupPoint->alias}{/if}"
     data-design="{$design}"
     style="display:none"
>
    {include file="module:bpostshm/views/templates/hook/_partials/delivery-date-form.tpl"}

    {if $showCustomerContactForm}
      {include file="module:bpostshm/views/templates/hook/_partials/customer-contact-form.tpl"}
    {/if}

    <div class="bpostshm-pickup-point-address col-xs-12"{if !$selectedPickupPoint} style="display:none;"{/if}>
      <article>
        <div class="h6">
          {if $carrierMethod == 'PARCEL_LOCKER'}
            {l s='Your order will be shipped to this parcel locker:' d='Modules.Bpostshm.Shop'}
          {else}
            {l s='Your order will be shipped to this pick-up point:' d='Modules.Bpostshm.Shop'}
          {/if}
        </div>
        <address>
          {if $selectedPickupPoint}
            {if $selectedPickupPoint->company}{$selectedPickupPoint->company}<br>{/if}
            {$selectedPickupPoint->address1}<br>
            {if $selectedPickupPoint->address2}{$selectedPickupPoint->address2}<br>{/if}
            {$selectedPickupPoint->postcode} {$selectedPickupPoint->city}<br>
            {$selectedPickupPoint->country}
          {/if}
        </address>
        <a class="bpostshm-change-pickup bpostshm-edit-pickup btn btn-primary">
          {if $carrierMethod == 'PARCEL_LOCKER'}
            {l s='Choose another parcel locker' d='Modules.Bpostshm.Shop'}
          {else}
            {l s='Choose another pick-up point' d='Modules.Bpostshm.Shop'}
          {/if}
        </a>
      </article>
    </div>

    {include file="module:bpostshm/views/templates/hook/pickup/_partials/$design.tpl"}
</div>
